package abacus.springboot.example.api.view;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "回购支付明细" , name = "ApiReqJcBillPayment")
public class ApiReqJcBillPayment {

	@Schema(description = "支付方式", required = true, example = "线下付款")
	private String payment;
	
	@Schema(description = "支付金额", required = true, example = "4820")
	private Double amount;
	
	@Schema(description = "账号名称", required = true, example = "张三")
	private String zhmc;
	
	@Schema(description = "开发银行", required = true, example = "工商银行")
	private String khyh;
	
	@Schema(description = "银行账号", required = true, example = "0101020102102010210201")
	private String yhzh;

	public String getPayment() {
		return payment;
	}

	public void setPayment(String payment) {
		this.payment = payment;
	}

	public Double getAmount() {
		return amount;
	}

	public void setAmount(Double amount) {
		this.amount = amount;
	}

	public String getZhmc() {
		return zhmc;
	}

	public void setZhmc(String zhmc) {
		this.zhmc = zhmc;
	}

	public String getKhyh() {
		return khyh;
	}

	public void setKhyh(String khyh) {
		this.khyh = khyh;
	}

	public String getYhzh() {
		return yhzh;
	}

	public void setYhzh(String yhzh) {
		this.yhzh = yhzh;
	}
}
